package com.cim.idm.model;

import java.io.Serializable;
import java.util.List;

public class PrintSuccess implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1460160558710363160L;
	private Boolean success;
	private String printRequestID;
	private List<String> messages;
	private String filePath;
	public Boolean getSuccess() {
		return success;
	}
	public void setSuccess(Boolean success) {
		this.success = success;
	}
	public String getPrintRequestID() {
		return printRequestID;
	}
	public void setPrintRequestID(String printRequestID) {
		this.printRequestID = printRequestID;
	}
	public List<String> getMessages() {
		return messages;
	}
	public void setMessages(List<String> messages) {
		this.messages = messages;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	public PrintSuccess() {
		super();
	}
	public PrintSuccess(Boolean success, String printRequestID, List<String> messages, String filePath) {
		super();
		this.success = success;
		this.printRequestID = printRequestID;
		this.messages = messages;
		this.filePath = filePath;
	}
	
	
	
	
}
